# Uses of Interface
javax.swing.text.StyledDocument

Packages that use StyledDocument
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of StyledDocument in javax.swing

Methods in javax.swing that return StyledDocument
Modifier and Type
Method
Description
`StyledDocument`
JTextPane.`getStyledDocument()`
Fetches the model associated with the editor.
Methods in javax.swing with parameters of type StyledDocument
Modifier and Type
Method
Description
`void`
JTextPane.`setStyledDocument(StyledDocument doc)`
Associates the editor with a text document.
Constructors in javax.swing with parameters of type StyledDocument
Modifier
Constructor
Description
``
`JTextPane(StyledDocument doc)`
Creates a new `JTextPane`, with a specified document model.

## Uses of StyledDocument in javax.swing.text

Classes in javax.swing.text that implement StyledDocument
Modifier and Type
Class
Description
`class`
`DefaultStyledDocument`
A document that can be marked up with character and paragraph styles in a manner similar to the Rich Text Format.
Methods in javax.swing.text that return StyledDocument
Modifier and Type
Method
Description
`protected final StyledDocument`
StyledEditorKit.StyledTextAction.`getStyledDocument(JEditorPane e)`
Gets the document associated with an editor pane.

## Uses of StyledDocument in javax.swing.text.html

Classes in javax.swing.text.html that implement StyledDocument
Modifier and Type
Class
Description
`class`
`HTMLDocument`
A document that models HTML.
Constructors in javax.swing.text.html with parameters of type StyledDocument
Modifier
Constructor
Description
``
`MinimalHTMLWriter(Writer w, StyledDocument doc)`
Creates a new MinimalHTMLWriter.
``
`MinimalHTMLWriter(Writer w, StyledDocument doc, int pos, int len)`
Creates a new MinimalHTMLWriter.